
From: Gerd Knorr <kraxel@bytesex.org>

This patch enables IR support for one AverMedia card and drops a obsolete
function.

Signed-off-by: Gerd Knorr <kraxel@bytesex.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/common/ir-common.c  |    3 ++-
 25-akpm/drivers/media/video/ir-kbd-gpio.c |    4 ++--
 25-akpm/drivers/media/video/ir-kbd-i2c.c  |    4 ++--
 3 files changed, 6 insertions(+), 5 deletions(-)

diff -puN drivers/media/common/ir-common.c~v4l-bttv-ir-input-driver-update drivers/media/common/ir-common.c
--- 25/drivers/media/common/ir-common.c~v4l-bttv-ir-input-driver-update	2005-01-22 18:44:43.617594184 -0800
+++ 25-akpm/drivers/media/common/ir-common.c	2005-01-22 18:44:43.624593120 -0800
@@ -1,5 +1,5 @@
 /*
- * $Id: ir-common.c,v 1.5 2004/11/07 13:17:15 kraxel Exp $
+ * $Id: ir-common.c,v 1.6 2004/12/10 12:33:39 kraxel Exp $
  *
  * some common structs and functions to handle infrared remotes via
  * input layer ...
@@ -22,6 +22,7 @@
  */
 
 #include <linux/module.h>
+#include <linux/moduleparam.h>
 
 #include <media/ir-common.h>
 
diff -puN drivers/media/video/ir-kbd-gpio.c~v4l-bttv-ir-input-driver-update drivers/media/video/ir-kbd-gpio.c
--- 25/drivers/media/video/ir-kbd-gpio.c~v4l-bttv-ir-input-driver-update	2005-01-22 18:44:43.619593880 -0800
+++ 25-akpm/drivers/media/video/ir-kbd-gpio.c	2005-01-22 18:44:43.625592968 -0800
@@ -1,5 +1,5 @@
 /*
- * $Id: ir-kbd-gpio.c,v 1.10 2004/09/15 16:15:24 kraxel Exp $
+ * $Id: ir-kbd-gpio.c,v 1.11 2004/10/25 11:26:36 kraxel Exp $
  *
  * Copyright (c) 2003 Gerd Knorr
  * Copyright (c) 2003 Pavel Machek
@@ -366,7 +366,7 @@ static int ir_probe(struct device *dev)
 		break;
 
 	case BTTV_AVDVBT_761:
-	/* case BTTV_AVDVBT_771: */
+	case BTTV_AVDVBT_771:
 		ir_codes         = ir_codes_avermedia_dvbt;
 		ir->mask_keycode = 0x0f00c0;
 		ir->mask_keydown = 0x000020;
diff -puN drivers/media/video/ir-kbd-i2c.c~v4l-bttv-ir-input-driver-update drivers/media/video/ir-kbd-i2c.c
--- 25/drivers/media/video/ir-kbd-i2c.c~v4l-bttv-ir-input-driver-update	2005-01-22 18:44:43.620593728 -0800
+++ 25-akpm/drivers/media/video/ir-kbd-i2c.c	2005-01-22 18:44:43.626592816 -0800
@@ -1,5 +1,5 @@
 /*
- * $Id: ir-kbd-i2c.c,v 1.8 2004/09/15 16:15:24 kraxel Exp $
+ * $Id: ir-kbd-i2c.c,v 1.10 2004/12/09 12:51:35 kraxel Exp $
  *
  * keyboard input driver for i2c IR remote controls
  *
@@ -433,7 +433,7 @@ static int ir_probe(struct i2c_adapter *
 	*/
 
 	static const int probe_bttv[] = { 0x1a, 0x18, 0x4b, 0x64, 0x30, -1};
-	static const int probe_saa7134[] = { 0x7a, -1};
+	static const int probe_saa7134[] = { 0x7a, -1 };
 	const int *probe = NULL;
 	struct i2c_client c; char buf; int i,rc;
 
_
